<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title"
      id="modal-basic-title"
      [innerText]="messages.NEW_USER_CREATION"></h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <ul
      ngbNav
      [destroyOnHide]="false"
      #nav="ngbNav"
      class="ip-tabs">

      <li [ngbNavItem]="messages.TAB_GENERAL">
        <a ngbNavLink [innerText]="messages.TAB_GENERAL"></a>
        <ng-template ngbNavContent>
          <app-admin-tenant-user-main-creation-infos
            [modifiedUser]="modifiedUser"
            [serverInfo]="serverInfo"
            (generalFormValid)="isGeneralFormValid = $event"
            (passwordChanged)="password = $event">
          </app-admin-tenant-user-main-creation-infos>
        </ng-template>
      </li>

      <li [ngbNavItem]="messages.TAB_PRIVILEGES">
        <a ngbNavLink [innerText]="messages.TAB_PRIVILEGES"></a>
        <ng-template ngbNavContent>
          <app-admin-user-privileges
            [tenantId]="tenantId"
            [modifiedUser]="modifiedUser">
          </app-admin-user-privileges>
        </ng-template>
      </li>

    </ul>

    <div [ngbNavOutlet]="nav"></div>
  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
    <button
      ls-button-save
      (click)="onSaveButtonClicked()"
      [processing]="isProcessing"
      [disabled]="!password || !isGeneralFormValid">
    </button>
  </div>

</div>
